BOOTCTL(1)

BEZEICHNUNG
bootctl - Steuern der Firmware- und Systemstartverwaltereinstellungen

ÜBERSICHT

bootctl [OPTIONEN…] {BEFEHL}

BESCHREIBUNG

bootctl kann den EFI-Systemladerzustand prüfen, verfügbare Systemladeprogramme und -einträge auflisten und auf dem aktuellen System den systemd-boot(7)-Systemlader installieren, aktualisieren oder entfernen.

BEFEHLE

status
    Zeigt eine kurze Information über die Firmware des Systems, das Systemstartprogramm, das zum Starten des Systems verwandt wurde, die derzeit in der ESP verfügbaren Systemstartprogramme, die in der Liste der Systemstartprogramme der Firmware aufgeführten Systemstartprogramme und den derzeitigen Standardsystemstartprogrammeintrag an. Falls kein Befehl festgelegt ist, ist dies die implizierte Vorgabe.

install
    Installiert systemd-boot in die EFI-Systempartition. Eine Kopie von systemd-boot wird in dem EFI-Standard/Ausweich-Lader unter ESP/EFI/BOOT/BOOT*.EFI gespeichert. Das Systemstartprogramm wird dann am Anfang der Systemstartprogrammliste der Firmware hinzugefügt.

update
    Aktualisiert alle installierten Versionen von systemd-boot(7), falls die verfügbare Version neuer als die in der EFI-System-Partition installierte ist. Dies beinhaltet den EFI-Standard/Ausweich-Lader unter ESP/EFI/BOOT/BOOT*.EFI. Das Systemstartprogramm wird dann am Ende der Systemstartprogrammliste der Firmware hinzugefügt, falls es fehlt.

remove
    Entfernt alle installierten Versionen von systemd-boot aus der EFI-Systempartition und der Systemstartprogrammliste der Firmware.

is-installed
    Prüft, ob systemd-boot in der ESP installiert ist. Beachten Sie, dass ein einzelner ESP mehrere Systemstartprogramme beherbergen kann; daher prüft dies, ob systemd-boot einer (unter möglicherweise vielen) installierten Systemstartprogrammen ist. Es prüft auch, ob es das Vorgabesystemstartprogramm ist und ob es in irgendwelchen EFI-Variablen registriert ist.

random-seed
    Erstellt einen Zufallsstartwert und speichert ihn für die Verwendung durch das Systemstartprogramm systemd-boot in der EFI-Systempartition. Erstellt auch ein zufälliges »Systemmerkmal« und speichert es dauerhaft als eine EFI-Variable, falls es nicht bereits vorher gesetzt wurde. Falls das Systemstartprogramm einen Zufallsstartwert in der ESP und das Systemmerkmal in der EFI-Variable findet, wird es aus einer Kombination aus beiden einen Zufallsstartwert ableiten, um ihn an das Betriebssystem weiterzugeben und einen neuen Startwert, um ihn in der ESP zu speichern. Der an das Betriebssystem weitergegebene Zufallsstartwert wird dem Entropie-Fundus des Kernels während der frühen Systemstartphase gutgeschrieben und erlaubt es Programmen auf der Anwendungsebene, mit einem Entropie-Fundus hochzufahren, der von einem frühen Zeitpunkt an bereits komplett initialisiert ist. Siehe auch systemd-boot-system-token.service(8).

    Siehe Zufallsstartwerte[1] für weitere Informationen.

systemd-efi-options [WERT]
    Beim Aufruf ohne Argument wird der Wert der EFI-Variablen »SystemdOptions« ausgegeben. Beim Aufruf mit Argument wird die Variable auf diesen Wert gesetzt. Siehe systemd(1) für die Bedeutung dieser Variablen.

list
    Zeigt alle verfügbaren Systemstartprogrammeinträge, die die Systemstartprogrammspezifikation[2] implementieren, sowie jeden anderen erkannten oder automatisch durch das Systemstartprogramm erstellten Eintrag.

set-default KENNUNG, set-oneshot KENNUNG
    Setzt den Vorgabesystemstartprogrammeintrag. Akzeptiert eine einzelne Systemstartprogrammeintragskennungszeichenkette als Argument. Der Befehl set-oneshot wird den Vorgabeeintrag nur für den nächsten Systemstart setzen, set-default wird ihn dauerhaft für alle zukünftigen Systemstarts setzen.

OPTIONEN

Die folgenden Optionen werden verstanden:

--esp-path=
    Pfad zu der EFI-Systempartition (ESP). Falls nicht angegeben, werden /efi/, /boot/ und /boot/efi/ der Reihe nach geprüft. Es wird empfohlen, falls möglich, die ESP unter /efi/ einzuhängen.

--boot-path=
    Pfad zu der »Extended Boot Loader«-Partition, wie diese in der Boot Loader-Spezifikation[2] definiert ist. Falls nicht angegeben, wird /boot/ geprüft. Es wird empfohlen, falls möglich, die »Extended Boot Loader«-Partition unter /boot/ einzuhängen.

-p, --print-esp-path
    Diese Option verändert das Verhalten von status. Es werden nur die Pfade zu der EFI-Systempartition (ESP) auf der Standardausgabe ausgegeben und das Programm beendet.

-x, --print-boot-path
    Diese Option verändert das Verhalten von status. Gibt in die Standardausgabe nur den Pfad zu der »Extended Boot Loader«-Partition aus, falls diese existiert, und andernfalls den Pfad zur ESP. Danach beendet er sich. Dieser Befehl ist nützlich, um zu bestimmen, wo Boot-Loader-Einträge abgelegt werden, da sie bevorzugt in die »Extended Boot Loader«-Partition abgelegt werden, falls diese existiert, und andernfalls in der ESP.

    Systemladerspezifikationseinträge vom Typ #1 sollten im Allgemeinen im Verzeichnis »$(bootctl -x)/loader/entries/« abgelegt werden. Die Existenz dieses Verzeichnisses kann auch als Anzeichen dafür verwandt werden, dass auf dem System die Unterstützung für Systemladeeinträge verfügbar ist. Ähnlich sollten Systemladerspezifikationseinträge vom Typ #2 im Verzeichnis »$(bootctl -x)/EFI/Linux/« abgelegt werden.

    Beachten Sie, dass diese Option (ähnlich der oben erwähnten Option --print-booth-path) unabhängig vom verwandten Systemstartprogramm verfügbar ist, d.h. auch ohne dass systemd-boot installiert ist.

--no-variables
    Die Liste der Systemladeprogramme der Firmware, die in EFI-Variablen gespeichert ist, nicht anfassen.

--graceful
    Ignoriert Fehlschläge wenn die EFI-Systempartition nicht gefunden oder die EFI-Variablen nicht geschrieben werden können. Derzeit nur bei Zufallsstartwertaktionen anwendbar.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

UMGEBUNGSVARIABLEN

Falls $SYSTEMD_RELAX_ESP_CHECKS=1 gesetzt ist, werden die Gültigkeitsprüfungen für die ESP gelockert und der mit --esp-path= festgelegte Pfad kann sich auf jede Art von Dateisystem auf jeder Art von Partition beziehen.

Ähnlich schaltet $SYSTEMD_RELAX_XBOOTLDR_CHECKS=1 einige Validierungsprüfungen für die »Extended Boot Loader«-Partition aus.

SIEHE AUCH

systemd-boot(7), Systemladerspezifikation[2], Systemladerschnittstelle[3], systemd-boot-system-token.service(8)

ANMERKUNGEN

1.  Zufallsstartwerte
    https://systemd.io/RANDOM_SEEDS

2.  Systemstartladeprogrammspezifikation
    https://systemd.io/BOOT_LOADER_SPECIFICATION

3.  Boot-Loader-Schnittstelle
    https://systemd.io/BOOT_LOADER_INTERFACE

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.